#-------------------------------------------------
#
# Project created by QtCreator 2014-01-15T13:19:11
#
#-------------------------------------------------

QT =

TARGET = DFCom
TEMPLATE = lib
CONFIG += shared c++11

win32:CONFIG(release, debug|release): DESTDIR = $$OUT_PWD/../release
else:win32:CONFIG(debug, debug|release): DESTDIR = $$OUT_PWD/../debug
else:unix:!macx:CONFIG(release, debug|release): DESTDIR = $$OUT_PWD/../release
else:unix:!macx:CONFIG(debug, debug|release): DESTDIR = $$OUT_PWD/../debug

CONFIG(debug, debug|release): {
    DEFINES += _DEBUG
}

unix-g++ {
    QMAKE_CXXFLAGS += -fvisibility=hidden -Wno-deprecated-declarations -Wno-ignored-qualifiers
    LIBS += -lpthread
} else:win32-g++ {
    QMAKE_CXXFLAGS += -fvisibility=hidden -Wno-deprecated-declarations -Wno-ignored-qualifiers
    LIBS += -lpthread
}

DEFINES += DATAFOXLIBRARYIV_LIBRARY AE3COM_EXPORT
DEFINES += DF_API_EXPORT

INCLUDEPATH += $$PWD/..
INCLUDEPATH += $$PWD/../3rd
INCLUDEPATH += $$PWD/../3rd/boost

INCLUDEPATH += $$PWD/../shared/include
DEPENDPATH += $$PWD/../shared/include

INCLUDEPATH += $$PWD/include
DEPENDPATH += $$PWD/include

win32 {
    LIBS += -lversion -lws2_32
}

HEADERS += \
    ../3rd/tinyxml/tinystr.h \
    ../3rd/tinyxml/tinyxml.h \
    ../shared/include/channel/channel_1_2.h \
    ../shared/include/channel/channel_1_2_buffer.h \
    ../shared/include/channel/channel_4.h \
    ../shared/include/channel/channel_4_buffer.h \
    ../shared/include/channel/channel_bridge.h \
    ../shared/include/common/crc.h \
    ../shared/include/common/device_info.h \
    ../shared/include/common/df4_crypt.h \
    ../shared/include/common/dfcom_utils.h \
    ../shared/include/common/error_defines.h \
    ../shared/include/common/firmware_options.h \
    ../shared/include/common/hardware_info.h \
    ../shared/include/common/md5.h \
    ../shared/include/common/software_info.h \
    ../shared/include/common/software_version.h \
    ../shared/include/common/tcpip_info.h \
    ../shared/include/datafox/communication/connection_base.h \
    ../shared/include/datafox/communication/aes_crypt.h \
    ../shared/include/datafox/communication/aes_crypt_session.h \
    ../shared/include/datafox/communication/connection_base.h \
    ../shared/include/datafox/communication/controller_segment.h \
    ../shared/include/datafox/communication/module_application.h \
    ../shared/include/datafox/communication/module_base.h \
    ../shared/include/datafox/communication/module_hardware.h \
    ../shared/include/datafox/communication/module_system.h \
    ../shared/include/datafox/communication/module_table.h \
	../shared/include/datafox/communication/protocol.h \
    ../shared/include/datafox/communication/protocol_base.h \
    ../shared/include/datafox/communication/protocol_crypt.h \
    ../shared/include/datafox/communication/protocol_docking_station_v1.h \
    ../shared/include/file/interface/dfitem/dfitem_access_control_2.h \
    ../shared/include/file/interface/dfitem/dfitem_access_control.h \
    ../shared/include/file/interface/dfitem/dfitem_base.h \
    ../shared/include/file/interface/dfitem/dfitem_device.h \
    ../shared/include/file/interface/dfitem/dfitem_handling.h \
    ../shared/include/file/interface/dfitem/dfitem_input_chain_field.h \
    ../shared/include/file/interface/dfitem/dfitem_input_chain.h \
    ../shared/include/file/interface/dfitem/dfitem_io_module.h \
    ../shared/include/file/interface/dfitem/dfitem_mde.h \
    ../shared/include/file/interface/dfitem/dfitem_menu_choice.h \
    ../shared/include/file/interface/dfitem/dfitem_menu.h \
    ../shared/include/file/interface/dfitem/dfitems.h \
    ../shared/include/file/interface/dfitem/dfitem_table_field.h \
    ../shared/include/file/interface/dfitem/dfitem_table.h \
    ../shared/include/file/interface/dfitem/dfitem_table_list.h \
    ../shared/include/file/interface/dfitem/dfitem_table_record.h \
    ../shared/include/file/interface/data_flash.h \
    ../shared/include/file/interface/device_text_structs.h \
    ../shared/include/file/interface/device_update_classes.h \
    ../shared/include/file/interface/device_update_structs.h \
    ../shared/include/file/interface/display_colors_structs.h \
    ../shared/include/file/interface/display_fonts_structs.h \
    ../shared/include/file/interface/display_grafics_structs.h \
    ../shared/include/file/interface/error_state.h \
    ../shared/include/file/interface/exchange_classes.h \
    ../shared/include/file/interface/exchange_structs.h \
    ../shared/include/file/interface/hardware_info_items.h \
    ../shared/include/file/interface/hardware_info_structs.h \
    ../shared/include/file/interface/mcu_memory.h \
    ../shared/include/file/interface/studio_setup_structs.h \
    ../shared/include/file/file_device.h \
    ../shared/include/file/file_device_text.h \
    ../shared/include/file/file_device_zip.h \
    ../shared/include/file/file_display_colors.h \
    ../shared/include/file/file_display_fonts.h \
    ../shared/include/file/file_display_grafics.h \
    ../shared/include/file/file_hardware_info.h \
    ../shared/include/file/file_ini.h \
    ../shared/include/file/file_intel_hex.h \
    ../shared/include/file/file_touch_keys.h \
    ../shared/include/file/file_wlan_config.h \
    ../shared/include/file/ini_file.h \
    ../shared/include/log/df_log.h \
    ../shared/include/log/df_log_check.h \
    include/api/df_access_control.h \
    include/api/df_access_control_lists.h \
    include/api/df_access_control_lists_v1.h \
    include/api/df_active_mode.h \
    include/api/df_api.h \
    include/api/df_connection.h \
    include/api/df_files.h \
    include/api/df_fingerprint.h \
    include/api/df_lists.h \
    include/api/df_logging.h \
    include/api/df_setup_lists.h \
    include/api/df_setup_records.h \
    include/api/df_system_records.h \
    include/api/df_timeboy_lists.h \
    include/datafox_library_iv.h \
    include/UnixDef.h \
    include/library_version.h \
    TargetVer.h

SOURCES += \
    ../3rd/tinyxml/tinystr.cpp \
    ../3rd/tinyxml/tinyxml.cpp \
    ../3rd/tinyxml/tinyxmlerror.cpp \
    ../3rd/tinyxml/tinyxmlparser.cpp \
    ../shared/src/channel/channel_1_2.cpp \
    ../shared/src/channel/channel_1_2_buffer.cpp \
    ../shared/src/channel/channel_4.cpp \
    ../shared/src/channel/channel_4_buffer.cpp \
    ../shared/src/channel/channel_bridge.cpp \
    ../shared/src/common/crc.cpp \
    ../shared/src/common/device_info.cpp \
    ../shared/src/common/df4_crypt.cpp \
    ../shared/src/common/dfcom_utils.cpp \
    ../shared/src/common/firmware_options.cpp \
    ../shared/src/common/hardware_info.cpp \
    ../shared/src/common/md5.cpp \
    ../shared/src/common/software_info.cpp \
    ../shared/src/common/software_version.cpp \
    ../shared/src/common/tcpip_info.cpp \
    ../shared/src/datafox/communication/aes_crypt.cpp \
    ../shared/src/datafox/communication/aes_crypt_session.cpp \
    ../shared/src/datafox/communication/connection_base.cpp \
    ../shared/src/datafox/communication/controller_segment.cpp \
    ../shared/src/datafox/communication/module_application.cpp \
    ../shared/src/datafox/communication/module_base.cpp \
    ../shared/src/datafox/communication/module_hardware.cpp \
    ../shared/src/datafox/communication/module_system.cpp \
    ../shared/src/datafox/communication/module_table.cpp \
	../shared/src/datafox/communication/protocol.cpp \
    ../shared/src/datafox/communication/protocol_base.cpp \
    ../shared/src/datafox/communication/protocol_crypt.cpp \
    ../shared/src/datafox/communication/protocol_docking_station_v1.cpp \
    ../shared/src/file/interface/dfitem/dfitem_access_control.cpp \
    ../shared/src/file/interface/dfitem/dfitem_access_control_2.cpp \
    ../shared/src/file/interface/dfitem/dfitem_base.cpp \
    ../shared/src/file/interface/dfitem/dfitem_device.cpp \
    ../shared/src/file/interface/dfitem/dfitem_handling.cpp \
    ../shared/src/file/interface/dfitem/dfitem_input_chain.cpp \
    ../shared/src/file/interface/dfitem/dfitem_input_chain_field.cpp \
    ../shared/src/file/interface/dfitem/dfitem_io_module.cpp \
    ../shared/src/file/interface/dfitem/dfitem_mde.cpp \
    ../shared/src/file/interface/dfitem/dfitem_menu.cpp \
    ../shared/src/file/interface/dfitem/dfitem_menu_choice.cpp \
    ../shared/src/file/interface/dfitem/dfitem_table.cpp \
    ../shared/src/file/interface/dfitem/dfitem_table_field.cpp \
    ../shared/src/file/interface/dfitem/dfitem_table_list.cpp \
    ../shared/src/file/interface/dfitem/dfitem_table_record.cpp \
    ../shared/src/file/interface/data_flash.cpp \
    ../shared/src/file/interface/device_update_classes.cpp \
    ../shared/src/file/interface/exchange_classes.cpp \
    ../shared/src/file/interface/hardware_info_items.cpp \
    ../shared/src/file/interface/mcu_memory.cpp \
    ../shared/src/file/file_device.cpp \
    ../shared/src/file/file_device_text.cpp \
    ../shared/src/file/file_device_zip.cpp \
    ../shared/src/file/file_display_colors.cpp \
    ../shared/src/file/file_display_fonts.cpp \
    ../shared/src/file/file_display_grafics.cpp \
    ../shared/src/file/file_hardware_info.cpp \
    ../shared/src/file/file_ini.cpp \
    ../shared/src/file/file_intel_hex.cpp \
    ../shared/src/file/file_studio_setup.cpp \
    ../shared/src/file/file_studio_setup_xml.cpp \
    ../shared/src/file/file_touch_keys.cpp \
    ../shared/src/file/file_wlan_config.cpp \
    ../shared/src/file/ini_file.cpp \
    ../shared/src/log/df_log_check.cpp \
    ../shared/src/log/df_log.cpp \
    src/api/df_access_control.cpp \
    src/api/df_access_control_lists.cpp \
    src/api/df_access_control_lists_v1.cpp \
    src/api/df_active_mode.cpp \
    src/api/df_api.cpp \
    src/api/df_connection.cpp \
    src/api/df_files.cpp \
    src/api/df_fingerprint.cpp \
    src/api/df_lists.cpp \
    src/api/df_logging.cpp \
    src/api/df_setup_lists.cpp \
    src/api/df_setup_records.cpp \
    src/api/df_system_records.cpp \
    src/api/df_timeboy_lists.cpp \
    src/datafox_library_iv.cpp \
    src/library_version.cpp

win32 {
    SOURCES += src/dllmain.cpp
    SOURCES += ../3rd/zip_utils/zip.cpp
    SOURCES += ../3rd/zip_utils/unzip.cpp
}

unix {
    target.path = /usr/lib
    INSTALLS += target
}

OTHER_FILES += doc/doxygen/*.dox
